## FolksEmailFieldDetails

FolksEmailFieldDetails — Object representing a email address that can have some parameters associated with it.

## Functions

FolksEmailFieldDetails * | folks_email_field_details_new ()
void | folks_email_details_change_email_addresses ()
void | folks_email_details_change_email_addresses_finish ()
GeeSet * | folks_email_details_get_email_addresses ()
void | folks_email_details_set_email_addresses ()

## Types and Values

#define | FOLKS_TYPE_EMAIL_FIELD_DETAILS
struct | FolksEmailFieldDetails
struct | FolksEmailFieldDetailsClass
| FolksEmailDetails
struct | FolksEmailDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

### folks_email_field_details_new ()

    FolksEmailFieldDetails *
    folks_email_field_details_new (const gchar *value,
                                   GeeMultiMap *parameters);

Create a new EmailFieldDetails.

#### Parameters

value | . the value of the field, which should be a valid, non-empty e-mail address . | [in]
parameters | . initial parameters. See "parameters". A `null` value is equivalent to an empty map of parameters. . | [in][allow-none]

#### Returns

a new EmailFieldDetails

Since: 0.6.0

### folks_email_details_change_email_addresses ()

    void
    folks_email_details_change_email_addresses
                                   (FolksEmailDetails *self,
                                    GeeSet *email_addresses,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change the contact's set of e-mail addresses.

It's preferred to call this rather than setting "email-addresses" directly, as this method gives error notification and will only return once the e-mail addresses have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the e-mail addresses failed

See also: `folks_email_details_change_email_addresses_finish()`

#### Parameters

self | the FolksEmailDetails instance |
email_addresses | . the new set of e-mail addresses . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_email_details_change_email_addresses_finish ()

    void
    folks_email_details_change_email_addresses_finish
                                   (FolksEmailDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's set of e-mail addresses.

It's preferred to call this rather than setting "email-addresses" directly, as this method gives error notification and will only return once the e-mail addresses have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the e-mail addresses failed

See also: `folks_email_details_change_email_addresses()`

#### Parameters

self | the FolksEmailDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_email_details_get_email_addresses ()

    GeeSet *
    folks_email_details_get_email_addresses
                                   (FolksEmailDetails *self);

Get and return the current value of the "email-addresses" property.

The email addresses of the contact.

Each of the values in this property contains just an e-mail address (e.g. “foo`bar.com`”), rather than any other way of formatting an e-mail address (such as “John Smith &lt;foo`bar.com`&gt;”).

#### Parameters

self | the FolksEmailDetails instance to query |

#### Returns

the value of the "email-addresses" property

Since: 0.6.0

### folks_email_details_set_email_addresses ()

    void
    folks_email_details_set_email_addresses
                                   (FolksEmailDetails *self,
                                    GeeSet *value);

Set the value of the "email-addresses" property to `value` .

The email addresses of the contact.

Each of the values in this property contains just an e-mail address (e.g. “foo`bar.com`”), rather than any other way of formatting an e-mail address (such as “John Smith &lt;foo`bar.com`&gt;”).

#### Parameters

self | the FolksEmailDetails instance to modify |
value | the new value of the "email-addresses" property |

Since: 0.6.0

## Types and Values

### FOLKS_TYPE_EMAIL_FIELD_DETAILS

    #define FOLKS_TYPE_EMAIL_FIELD_DETAILS (folks_email_field_details_get_type ())

The type for FolksEmailFieldDetails.

### struct FolksEmailFieldDetails

    struct FolksEmailFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksEmailFieldDetailsPrivate * priv;
    };

Object representing a email address that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksEmailFieldDetailsClass

    struct FolksEmailFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_EMAIL_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksEmailDetails

    typedef struct _FolksEmailDetails FolksEmailDetails;

Interface for classes that have email addresses, such as FolksPersona and FolksIndividual.

Since: 0.3.5

### struct FolksEmailDetailsIface

    struct FolksEmailDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_email_addresses) (FolksEmailDetails* self, GeeSet* email_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_email_addresses_finish) (FolksEmailDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_email_addresses) (FolksEmailDetails* self);
    	void (*set_email_addresses) (FolksEmailDetails* self, GeeSet* value);
    };

Interface for creating FolksEmailDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_email_addresses` () | virtual method called by `folks_email_details_change_email_addresses()` |
`change_email_addresses_finish` () | asynchronous finish function for `change_email_addresses`, called by `folks_email_details_change_email_addresses()` |
`get_email_addresses` () | getter method for the abstract property "email-addresses" |
`set_email_addresses` () | setter method for the abstract property "email-addresses" |